<template>
  <div class="bg-dark bg-linen section-border-bottom">
    <div class="container extended pt-5 pb-2">
      <div
        @click="onLogout()"
        class="float-right text-link-color cursor-pointer"
      >
        logout
      </div>
      <h2>Admin-Tools:</h2>
      <div class="admin-menu">
        <Authorized
          :roles="['ROLE_TRANSLATOR', 'ROLE_EDITOR_NEWS', 'ROLE_SYSOP']"
        >
          <nuxt-link :to="localePath('admin-news')">news</nuxt-link>
        </Authorized>

        <Authorized
          :roles="['ROLE_TRANSLATOR', 'ROLE_EDITOR_EVENT', 'ROLE_SYSOP']"
        >
          <nuxt-link :to="localePath('admin-events')">events</nuxt-link>
        </Authorized>

        <Authorized :roles="['ROLE_EDITOR_WIKI', 'ROLE_SYSOP']">
          <nuxt-link :to="localePath('admin-wiki')">wiki</nuxt-link>
        </Authorized>

        <Authorized :roles="['ROLE_TRANSLATOR', 'ROLE_SYSOP']">
          <nuxt-link :to="localePath('admin-translation')"
            >translation</nuxt-link
          >
        </Authorized>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import Authorized from '~/components/security/Authorized';
export default {
  components: { Authorized },
  computed: {
    ...mapGetters(['hasRole']),
  },
  methods: {
    async onLogout() {
      await this.$auth.logout();
    },
  },
};
</script>
